Subject: Re: [regext] RDAP questions

From: Bernhard Reutner-Fischer <[email-masked]>
Date: Sun, 19 Mar 2017 17:55:50 +0100

Hi there,

Another question

1) country (full name / name) versus country codes.

In https://tools.ietf.org/html/rfc7483#section-3 you suggest to use
alpha-2 country codes

Yet autnum and network talk about
---8<---
 o  country -- a string containing the name of the two-character
      country code of the autnum
---8<---

where "the name" makes me think i should use the full name?
Should that read
---8<---
 o  country -- a string containing the two-character
      country code of the autnum
---8<---

And then there is jCard which seemingly attempts to trick me into
using the full country name ? Lovely.

2) entity handles

At least for DNRs the mixture of registrars and contacts seems to be a
bit unfortunate at first glance.
For handles (in the DNR / RFC5733 sense) could conflict between
registrars and contacts. Furthermore there is no (apparent) way to
output a ROID which would make it easier to distinguish these two,
disregarding the role of course.
I could work around this by requiring a -ROIDSFX for contacts and none
for registrars, for example.

So i think my question is how to respond to a non-search query for an
ambiguous entity?

TIA and cheers,

---

From: Andrew Newton <[email-masked]>
Date: Tue, 21 Mar 2017 13:47:34 -0400

Hi...

>       country code of the autnum

It should be the 2 character country code. Good catch.

> using the full country name ? Lovely.

It does seem to desire that.

> So i think my question is how to respond to a non-search query for an

I'm not sure I understand this. You have two entities with the same handle?

-andy

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 21 Mar 2017 19:04:32 +0000

> -----Original Message-----
> From: regext [mailto:[email-masked]] On Behalf Of Andrew Newton
> Sent: Tuesday, March 21, 2017 1:48 PM
> To: Bernhard Reutner-Fischer <[email-masked]>
> Cc: Andy Newton <[email-masked]>; [email-masked]; Gustavo Lozano
> <[email-masked]>
> Subject: [EXTERNAL] Re: [regext] RDAP questions
>
> Hi...
>

Someone should report this new erratum. Andy, do you want to take it, or should I?

Scott

---

From: Bernhard Reutner-Fischer <[email-masked]>
Date: Tue, 21 Mar 2017 20:47:51 +0100

>It does seem to desire that.

As such I find 7483 requiring the country code rather inconsistent with the jCard RFC especially since we would have both "spellings" in the very same output.

As ugly as it is, I'd use the full name also in 7483, deferring to the jCard RFC in a comment, FWIW. 

>I'm not sure I understand this. You have two entities with the same

Yes. I think in EPP they are unambiguous. 

thanks,

---

From: Bernhard Reutner-Fischer <[email-masked]>
Date: Wed, 22 Mar 2017 13:58:09 +0100

Hi!

3) missing normative reference to IANA, "RDAP JSON Values" ?

https://tools.ietf.org/html/rfc7483#section-10.2.2
mentions
---8<---
... have been registered in the "RDAP JSON Values"
   registry:
---8<---

But there is no reference (rendered?) to rdap-json-values in
https://tools.ietf.org/html/rfc7483#section-14.1

where i would have expected to find something like:
   [rdap-json-values]
              IANA, "RDAP JSON Values",
              <https://www.iana.org/assignments/rdap-json-values/>.

I do not know where the source for the rfc is so cannot say if this is
an omission or a rendering-bug.

https://tools.ietf.org/html/rfc7480#section-8.1
might have the same problem

At first glance this omission makes it unclear if a compliant server
should emit an extension entry in the 'rdapConformance' array when
using values defined in rfc8056

thanks,

---

From: Andrew Newton <[email-masked]>
Date: Thu, 23 Mar 2017 11:19:27 -0400

> Someone should report this new erratum. Andy, do you want to take it, or should I?

Scott,

I wouldn't want to rob you of the thrill one gets when filing errata. :)

-andy

---

From: Andrew Newton <[email-masked]>
Date: Thu, 23 Mar 2017 11:38:31 -0400

> Yes. I think in EPP they are unambiguous.

So my reading of RFC 5730 doesn't say if ROIDs are unique within a
registry or unique within a namespace. I do have to admit I don't
understand how section 2.8 fits into it. Hopefully somebody more
authoritative can shed some light (I'm looking at you, Scott :) ).

That said, if the entity is truly unique but serves different roles,
then the ROID is good enough. If not, then you can create your own
namespace in the id.

Does that help? Because I still only have a tenuous grasp of the issue.

-andy

---

From: Bernhard Reutner-Fischer <[email-masked]>
Date: Thu, 23 Mar 2017 19:38:14 +0100

On 23 March 2017 16:38:31 CET, Andrew Newton <[email-masked]> wrote:
>>>> At least for DNRs the mixture of registrars and contacts seems to
>be
>>>a

Unfortunately it does not since clIDType != roidType

I am talking about
GET /rdap/entity/clIDType

but re-reading the description of "handle" in 7483 maybe it's a non-issue in practice since I can easily workaround it as local convention. 

thanks,

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Fri, 24 Mar 2017 12:08:01 +0000

> Sent: Thursday, March 23, 2017 11:39 AM
> >>> So i think my question is how to respond to a non-search query for
> >>> an ambiguous entity?
> >>

Repository identifiers are intended to be unique within a registry/repository. That may not be very clear in the text, but if you read through RFCs 5731, 5732, and 5733 you'll see that ROIDs are assigned to domain, host, and contact objects, too - and they can be associated with objects across namespaces.

Scott

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Fri, 24 Mar 2017 12:34:50 +0000

> From: Andrew Newton [mailto:[email-masked]]
> Sent: Thursday, March 23, 2017 11:19 AM
> To: Hollenbeck, Scott <[email-masked]>
> Cc: [email-masked]; [email-masked]; [email-masked];
> [email-masked]

Done - and yes, it was thrilling!

Scott

---

From: Bernhard Reutner-Fischer <[email-masked]>
Date: Fri, 31 Mar 2017 11:08:07 +0200

> using values defined in rfc8056

4) Domain object, secureDNS/delegationSigned

---8<---
      *  delegationSigned -- boolean true if there are DS records in the
         parent, false otherwise.
---8<---

What does "in the parent" mean here?
Does this refer to the DNS hierarchy?
Does it refer to the existence of a sibling dsData? I.e. s/ in the parent// ?

thanks,